// 样式引入
import '@/assets/styles/reset.scss'
import '@/assets/styles/variable.scss';
import '@/assets/styles/common.scss';
// 引入仓库
import pinia from '@/store';
//引入路由
import router from "@/router";
// 引入UI组件库相关
import naive from 'naive-ui';
import 'vfonts/Lato.css'// 通用字体
import 'vfonts/FiraCode.css'// 等宽字体
// 登录授权相关

import { createApp } from 'vue'
import App from './App.vue';

const app = createApp(App);
app.use(pinia);
app.use(router);
app.use(naive);
app.mount('#app')
